import {AllNodesRegister} from "./nodes/All";
import {AllExpressionsRegister} from "./expressions/All";
import {AllModulesRegister} from "./modules/All";
import {AllAssemblersRegister} from "./assemblers/All";
import {AllCamerasRegister} from "./cameras/All";
import {Poly as Poly2} from "../../Poly";
export class AllRegister {
  static async run() {
    if (this._started) {
      return;
    }
    this._started = true;
    AllNodesRegister.run(Poly2);
    AllCamerasRegister.run(Poly2);
    AllExpressionsRegister.run(Poly2);
    AllModulesRegister.run(Poly2);
    AllAssemblersRegister.run(Poly2);
  }
}
AllRegister._started = false;
